# VinBarcodeResult class

Result of the barcode scanner.

## Constructors

VinBarcodeResult.new({required String extractedVIN, required List<Point<int>> rectangle, required VinBarcodeExtractionStatus status})
VinBarcodeResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

extractedVIN → String
  Text result of the barcode scanner.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
rectangle → List<Point<int>>
  Rectangle of the barcode in the image.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
status → VinBarcodeExtractionStatus
  Status of the barcode extraction.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited